function FileData_Pairs(x)
{
x.t("system.out.println","sim");
x.t("passed","parameter");
x.t("method","callback");
x.t("method","removes");
x.t("method","indicates");
x.t("method","return");
x.t("method","class");
x.t("possible","state");
x.t("possible","i.e");
x.t("possible","transfer");
x.t("else","event.indexof");
x.t("parameter","atcommand.addlistener");
x.t("unchanged","atcommandlistener");
x.t("create","implementation");
x.t("table","listener");
x.t("callback","method");
x.t("callback","methods");
x.t("callback","functions");
x.t("events","public");
x.t("events","atevent");
x.t("events","urcs");
x.t("events","received");
x.t("instance","creating");
x.t("instance","called");
x.t("instance","atcommandlistener");
x.t("atevents","atevent");
x.t("summary","urcs");
x.t("void","connchanged");
x.t("void","atevent");
x.t("void","dcdchanged");
x.t("void","dsrchanged");
x.t("void","ringchanged");
x.t("action","state");
x.t("action","dsr");
x.t("action","receiving");
x.t("action","taken");
x.t("action","dcd");
x.t("action","ring");
x.t("user","create");
x.t("13.1.1.3","data");
x.t("reminder_listener","new");
x.t("interface","signals");
x.t("interface","13.1.3");
x.t("interface","implements");
x.t("interface","java");
x.t("interface","atcommandlistener");
x.t("state","connection");
x.t("state","changes");
x.t("leave","lis\u00adtener");
x.t("(urcs)","ringchanged");
x.t("close","events");
x.t("originated","data");
x.t("urc","issued");
x.t("urc","report");
x.t("listener","objects");
x.t("listener","atcommand");
x.t("listener","object");
x.t("response","command");
x.t("response","executed");
x.t("calls","received");
x.t("public","void");
x.t("time","corresponding");
x.t("i.e","ftp");
x.t("i.e","running");
x.t("connection","possible");
x.t("connection","changes");
x.t("connection","taken");
x.t("connection","user\u2019s");
x.t("however","urc");
x.t("unso","\u00adlicited");
x.t("automatically","event");
x.t("listed","[1]");
x.t("removes","listener");
x.t("new","thread");
x.t("new","atlistenera");
x.t("new","atlistenerb");
x.t("start","close");
x.t("start","end");
x.t("card","inserted");
x.t("want","public");
x.t("want","13.1.3.3");
x.t("objects","removed");
x.t("command","originated");
x.t("command","api");
x.t("command","urcs");
x.t("command","typical");
x.t("battery","summary");
x.t("card_listener","new");
x.t("connchanged","method");
x.t("connchanged","start");
x.t("connchanged","methods");
x.t("connchanged","boolean");
x.t("again","changes");
x.t("indicates","start");
x.t("status","battery");
x.t("list","table");
x.t("list","called");
x.t("list","remains");
x.t("during","data");
x.t("parallel","response");
x.t("issued","direct");
x.t("actions","else");
x.t("actions","public");
x.t("atc1","atc2");
x.t("api","13.1.3");
x.t("atc2","atlistenera");
x.t("atc1.addlistener","(reminder_listener)");
x.t("signalstate","action");
x.t("signalstate","public");
x.t("signalstate","class");
x.t("registering","listener");
x.t("delivered","automatically");
x.t("desired","action");
x.t("(reminder_listener)","atc2.addlistener");
x.t("dsr","signal");
x.t("dsr","opening");
x.t("[1]","13.1.3.2");
x.t("sim","card");
x.t("creating","instance");
x.t("previously","registered");
x.t("previously","added");
x.t("previously","received");
x.t("atevent","method");
x.t("atevent","urc");
x.t("atevent","string");
x.t("soon","possible");
x.t("direct","response");
x.t("perform","actions");
x.t("methods","instance");
x.t("methods","contain");
x.t("methods","afterwards");
x.t("methods","section");
x.t("boolean","signalstate");
x.t("place","read");
x.t("\u00adlicited","result");
x.t("string","event");
x.t("contain","processing");
x.t("thread","callback");
x.t("stream","methods");
x.t("stream","read");
x.t("receiving","reminder");
x.t("scks","system.out.println");
x.t("device","parser");
x.t("functions","urcs");
x.t("signals","ring");
x.t("activated","command");
x.t("atcommand.removelistener","method");
x.t("registered","list");
x.t("13.1","using");
x.t("occurs","result");
x.t("tutorial","13.1");
x.t("13.1.3","atcommandlistener");
x.t("serial","interface");
x.t("realize","data");
x.t("processing","code");
x.t("dcdchanged","boolean");
x.t("dcdchanged","dsrchanged");
x.t("implements","callback");
x.t("implements","atcommandlistener");
x.t("signal","state");
x.t("signal","changes");
x.t("receive","events");
x.t("different","at-events");
x.t("cannot","called");
x.t("afterwards","13.1.3.1");
x.t("may","added");
x.t("may","information");
x.t("atc2.addlistener","(card_listener)");
x.t("report","message");
x.t("urcs","listed");
x.t("urcs","activated");
x.t("urcs","signal");
x.t("urcs","may");
x.t("urcs","changes");
x.t("urcs","occur");
x.t("changes","want");
x.t("changes","status");
x.t("changes","serial");
x.t("changes","code");
x.t("changes","occur");
x.t("section","13.1.1.3");
x.t("atcommand.addlistener","method");
x.t("internal","list");
x.t("reminder","else");
x.t("reminder","action");
x.t("reminder","desired");
x.t("added","internal");
x.t("added","several");
x.t("added","atcommand");
x.t("code","possible");
x.t("code","leave");
x.t("code","different");
x.t("code","either");
x.t("dsrchanged","connchanged");
x.t("dsrchanged","boolean");
x.t("end","data");
x.t("executed","command");
x.t("return","cannot");
x.t("message","sent");
x.t("atcommandlisteners","may");
x.t("java","tutorial");
x.t("ftp","transfer");
x.t("quickly","connchanged");
x.t("event","occurs");
x.t("event","event.indexof");
x.t("closing","data");
x.t("lis\u00adtener","context");
x.t("taken","events");
x.t("taken","place");
x.t("instances","atc1");
x.t("instances","several");
x.t("running","new");
x.t("cala","reminder");
x.t("implementation","class");
x.t("ringchanged","boolean");
x.t("ringchanged","dcdchanged");
x.t("several","atcommandlisteners");
x.t("several","atcommand");
x.t("connections","user");
x.t("connections","during");
x.t("opening","closing");
x.t("services","i.e");
x.t("read","methods");
x.t("read","data");
x.t("atlistenera","reminder_listener");
x.t("atlistenera","implements");
x.t("atlistenera","atlistenerb");
x.t("context","soon");
x.t("transfer","data");
x.t("atlistenerb","card_listener");
x.t("atlistenerb","atc1.addlistener");
x.t("atlistenerb","implements");
x.t("parser","two");
x.t("data","connection");
x.t("data","quickly");
x.t("data","connections");
x.t("data","services");
x.t("data","i/o");
x.t("module","previously");
x.t("module","application");
x.t("query","module");
x.t("typical","urcs");
x.t("information","incoming");
x.t("temperature","changes");
x.t("inserted","perform");
x.t("received","however");
x.t("received","temperature");
x.t("received","even");
x.t("result","code");
x.t("result","query");
x.t("application","unso");
x.t("application","realize");
x.t("atcommand","instance");
x.t("atcommand","instances");
x.t("runtime","system");
x.t("called","again");
x.t("called","urcs");
x.t("called","runtime");
x.t("event.indexof","scks");
x.t("event.indexof","cala");
x.t("two","atcommands");
x.t("dcd","dsr");
x.t("dcd","signal");
x.t("13.1.3.1","atevents");
x.t("atcommands","instances");
x.t("ring","signal");
x.t("ring","dcd");
x.t("incoming","calls");
x.t("13.1.3.2","implementation");
x.t("either","delivered");
x.t("13.1.3.3","registering");
x.t("system","time");
x.t("corresponding","events");
x.t("corresponding","device");
x.t("using","command");
x.t("class","passed");
x.t("class","contain");
x.t("class","atlistenera");
x.t("class","atlistenerb");
x.t("class","atcommandlistener");
x.t("i/o","stream");
x.t("occur","connchanged");
x.t("occur","previously");
x.t("occur","corresponding");
x.t("(card_listener)","atcommand.removelistener");
x.t("atcommandlistener","interface");
x.t("atcommandlistener","public");
x.t("atcommandlistener","receive");
x.t("atcommandlistener","may");
x.t("atcommandlistener","class");
x.t("even","parallel");
x.t("sent","module");
x.t("removed","list");
x.t("at-events","(urcs)");
x.t("user\u2019s","application");
x.t("object","previously");
x.t("remains","unchanged");
}
